Support to set an optional csum attribute on ovs tunnels

Bug #1492111 reported by Mamta Prabhu on 2015-09-04
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
neutron
Medium
Mamta Prabhu

Bug Description

During some of the performance tests, it was observed that on few of the 10G nics (intel br kx4 dual-port, intel 82599es), enabling the csum option boosted the vxlan/geneve performance by triggering GRO on the receiver.

Kindly refer to the link for more details on the role of csum in vxlan performance.
http://openvswitch.org/pipermail/dev/2015-August/059335.html

This defect is created to add an additional option (tunnel_csum) in the ovs agent. This option will be passed to the ovs agent, which in turn will set the "option:csum" during the creation of GRE, VXLAN, and GENEVE tunnels

The provision for this option is available in OVS 2.4 for vxlan/geneve.

The changes for this option will be on similar lines of "dont_fragment" flag.

tags: added: rfe
Changed in neutron:
assignee: nobody → Mamta Prabhu (mamtaprabhu)

Fix proposed to branch: master
Review: https://review.openstack.org/220744

Changed in neutron:
status: New → In Progress
Kyle Mestery (mestery) on 2015-09-06
Changed in neutron:
importance: Undecided → Medium

Reviewed: https://review.openstack.org/220744
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=b89879c286cdc5718ee540c2c581a3f500c18b3e
Submitter: Jenkins
Branch: master

commit b89879c286cdc5718ee540c2c581a3f500c18b3e
Author: root <email address hidden>
Date: Sat Sep 5 10:47:41 2015 -0700

    Adds support to provide the csum option for the OVS tunnels

    The new option for the ovs agent will enable to set/unset the
    csum option for the vxlan/gre tunnels. The default is maintained as False.

    Change-Id: I18dcd8946b585e70f8890a5c222ea37059c4a0c5
    Implements: bp ovs-tunnel-csum-option
    Closes-bug: #1492111

Changed in neutron:
status: In Progress → Fix Committed

Fix proposed to branch: feature/pecan
Review: https://review.openstack.org/224357

Download full text (73.6 KiB)

Reviewed: https://review.openstack.org/224357
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=fdc3431ccd219accf6a795079d9b67b8656eed8e
Submitter: Jenkins
Branch: feature/pecan

commit fe236bdaadb949661a0bfb9b62ddbe432b4cf5f1
Author: Miguel Angel Ajo <email address hidden>
Date: Thu Sep 3 15:40:12 2015 +0200

    No network devices on network attached qos policies

    Network devices, like internal router legs, or dhcp ports
    should not be affected by bandwidth limiting rules.

    This patch disables application of network attached policies
    to network/neutron owned ports.

    Closes-bug: #1486039
    DocImpact

    Change-Id: I75d80227f1e6c4b3f5fa7762b8dc3b0c0f1abd46

commit db4a06f7caa20a4c7879b58b20e95b223ed8eeaf
Author: Ken'ichi Ohmichi <email address hidden>
Date: Wed Sep 16 10:04:32 2015 +0000

    Use tempest-lib's token_client

    Now tempest-lib provides token_client modules as library and the
    interface is stable. So neutron repogitory doesn't need to contain
    these modules.
    This patch makes neutron use tempest-lib's token_client and removes
    the own modules for the maintenance.

    Change-Id: Ieff7eb003f6e8257d83368dbc80e332aa66a156c

commit 78aed58edbe6eb8a71339c7add491fe9de9a0546
Author: Jakub Libosvar <email address hidden>
Date: Thu Aug 13 09:08:20 2015 +0000

    Fix establishing UDP connection

    Previously, in establish_connection() for UDP protocol data were sent
    but never read on peer socket. That lead to successful read on peer side
    if this connection was filtered. Having constant testing string masked
    this issue as we can't distinguish to which test of connectivity data
    belong.

    This patch makes unique data string per test_connectivity() and
    also makes establish_connection() to create an ASSURED entry in
    conntrack table. Finally, in last test after firewall filter was
    removed, connection is re-established in order to avoid troubles with
    terminated processes or TCP continuing sending packets which weren't
    successfully delivered.

    Closes-Bug: 1478847
    Change-Id: I2920d587d8df8d96dc1c752c28f48ba495f3cf0f

commit e6292fcdd6262434a7b713ad8802db6bc8a6d3dc
Author: YAMAMOTO Takashi <email address hidden>
Date: Wed Sep 16 13:20:51 2015 +0900

    ovsdb: Fix a few docstring

    Change-Id: I53e1e21655b28fe5da60e58aeeb7cbbd103ae014

commit c22949a4449d96a67caa616290cf76b67b182917
Author: fumihiko kakuma <email address hidden>
Date: Wed Sep 16 11:52:59 2015 +0900

    Remove requirements.txt for the ofagent mechanism driver

    It is no longer used.

    Related-Blueprint: core-vendor-decomposition
    https://blueprints.launchpad.net/neutron/+spec/core-vendor-decomposition

    Change-Id: Ib31fb3febf8968e50d86dd66e1e6e1ea2313f8ac

commit d1d4de19d85f961d388c91e70f31b3bafec418c5
Author: Kevin Benton <email address hidden>
Date: Thu Sep 3 20:25:57 2015 -0700

    Always return iterables in L3 get_candidates

    The caller of this function expects iterables.

    Closes-Bug: #1494996
    Change-Id: I3d103e63f4e127a77268502415c0ddb0d804b54a

commit 1ad6ac448067306...

tags: added: in-feature-pecan

Change abandoned by Doug Wiegley (<email address hidden>) on branch: feature/pecan
Review: https://review.openstack.org/224334

Thierry Carrez (ttx) on 2015-09-24
Changed in neutron:
milestone: none → liberty-rc1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2015-10-15
Changed in neutron:
milestone: liberty-rc1 → 7.0.0
Ryan Moats (rmoats) wrote :

For the linux bridge side of this question, see https://bugs.launchpad.net/neutron/+bug/1515069

Change abandoned by Armando Migliaccio (<email address hidden>) on branch: master
Review: https://review.openstack.org/243943
Reason: This review is > 4 weeks without comment, and failed Jenkins the last time it was checked. We are abandoning this for now. Feel free to reactivate the review by pressing the restore button and leaving a 'recheck' comment to get fresh test results.

Change abandoned by Armando Migliaccio (<email address hidden>) on branch: master
Review: https://review.openstack.org/261409
Reason: This review is > 4 weeks without comment, and failed Jenkins the last time it was checked. We are abandoning this for now. Feel free to reactivate the review by pressing the restore button and leaving a 'recheck' comment to get fresh test results.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers